Journeys

Archive a journey (Preview)

Preview · Available to selected organizations. Stops new enrollment for good and exits every live run with exit reason archived. An archived journey cannot be edited, published, or resumed.

POST
/v1/journeys/{id}/archive

Stops new enrollment for good and exits every live run with exit reason archived. An archived journey cannot be edited, published, or resumed.

x-api-key<token>

In: header

Path Parameters

id*string
Match^jrny_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/journeys/string/archive"
{  "id": "string",  "name": "string",  "status": "draft",  "revision": "string",  "draft": {    "trigger": {      "type": "event",      "eventName": "string"    },    "rootNodeId": "string",    "nodes": {      "property1": {        "type": "send_email",        "config": {          "template": "string",          "senderId": "string",          "templateData": {            "property1": "string",            "property2": "string"          }        },        "next": [          {            "nodeId": "string"          }        ]      },      "property2": {        "type": "send_email",        "config": {          "template": "string",          "senderId": "string",          "templateData": {            "property1": "string",            "property2": "string"          }        },        "next": [          {            "nodeId": "string"          }        ]      }    },    "goal": {      "eventName": "string"    },    "reentry": true  },  "publishedVersion": -9007199254740991,  "publishedAt": "string",  "createdAt": "string",  "updatedAt": "string"}

Related documentation